Package com.collibra.dgc.core.api.component.meta

# Interface DerivedRelationTypeApi

public interface DerivedRelationTypeApi
Contains all public API operations for handling Derived Relation Types.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DerivedRelationType`
  `addDerivedRelationType(AddDerivedRelationTypeRequest request)`
  Adds a new Derived Relation Type.
  `DerivedRelationType`
  `changeDerivedRelationType(ChangeDerivedRelationTypeRequest request)`
  Changes a Derived Relation Type.
  `boolean`
  `exists(UUID id)`
  Returns `true` if a Derived Relation Type with the given id exists.
  `PagedResponse<DerivedRelationType>`
  `findDerivedRelationTypes(FindDerivedRelationTypesRequest request)`
  Finds Derived Relation Types matching the given search input.
  `DerivedRelationType`
  `getDerivedRelationType(UUID id)`
  Returns the Derived Relation Type for the given UUID.
  `DerivedRelationType`
  `getDerivedRelationTypeByPublicId(String publicId)`
  Returns the Derived Relation Type identified by the given public id.
  `void`
  `removeDerivedRelationType(UUID id)`
  Removes the Derived Relation Type with the given id.

- ## Method Details

  - ### getDerivedRelationType

    DerivedRelationType getDerivedRelationType(UUID id)
    Returns the Derived Relation Type for the given UUID.
    Parameters:
      `id` - the UUID of the Derived Relation Type
    Returns:
      the Derived Relation Type

  - ### getDerivedRelationTypeByPublicId

    DerivedRelationType getDerivedRelationTypeByPublicId(String publicId)
    Returns the Derived Relation Type identified by the given public id.
    Parameters:
      `publicId` - the public id of the Derived Relation Type
    Returns:
      the Derived Relation Type

  - ### exists

    boolean exists(UUID id)
    Returns `true` if a Derived Relation Type with the given id exists.
    Parameters:
      `id` - the id of the Derived Relation Type
    Returns:
      `true` if a Derived Relation Type with the given id exists, `false` otherwise

  - ### addDerivedRelationType

    DerivedRelationType addDerivedRelationType(AddDerivedRelationTypeRequest request)
    Adds a new Derived Relation Type.
    Parameters:
      `request` - the request to add a Derived Relation Type
    Returns:
      the created Derived Relation Type

  - ### changeDerivedRelationType

    DerivedRelationType changeDerivedRelationType(ChangeDerivedRelationTypeRequest request)
    Changes a Derived Relation Type.
    Parameters:
      `request` - the request to change a Derived Relation Type
    Returns:
      the changed Derived Relation Type

  - ### removeDerivedRelationType

    void removeDerivedRelationType(UUID id)
    Removes the Derived Relation Type with the given id.
    Parameters:
      `id` - the id of the Derived Relation Type

  - ### findDerivedRelationTypes

    PagedResponse<DerivedRelationType> findDerivedRelationTypes(FindDerivedRelationTypesRequest request)
    Finds Derived Relation Types matching the given search input.
    Parameters:
      `request` - the request to find Derived Relation Types
    Returns:
      the found Derived Relation Types